Status: Closed

Priority: Normal

Assignee: William Kyngesburye

Category: GRASS

Affected QGIS version:1.8.0 Regression?: No

Operating System: Mac OS X Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 17256

Description

System: OSX 10.6.8, QGIS 1.8.0 (with GDAL1.9), GRASS 4.6.3 (with GDAL 1.10).

(Upgraded through clean install from QGIS 1.7.0 and GRASS 4.6.2)

The GRASS tools aren't available  anymore in the Plugins > Manage Plugins list.

After loads of working hours I have been able to get Sextante up and running (see 

http://gis.stackexchange.com/questions/69080/unable-to-load-grass-plugin/69182#69182) as an alternative, but not all GRASS modules

are available through Sextante. I'm particular interested in v.in.ogr modules. I prefer to have these modules integrated into QGIS instead

of having GRASS running in parallel.

History

#1 - 2013-08-21 05:01 AM - rcline -

QGIS 1.8 requires GRASS 6.4.2. If you want to use GRASS 6.4.3 then you will need the QGIS 2.0 nightly build from http://qgis.dakotacarto.com. Larry

updated the nightly builds to use GRASS 6.4.3 instead of 6.4.2 with yesterdays release. This is not a bug.

#2 - 2013-08-21 05:15 AM - Rik De Vreese

Unfortunately GRASS 6.4.2 isn't longer available for Mac on Kyngchaos.com.

#3 - 2013-08-21 02:58 PM - Larry Shaffer

- Operating System set to Mac OS X

- Assignee set to William Kyngesburye

- Status changed from Open to Feedback

Hi Rik,

Yes, I do not find it on the downloads archive page either.

I have assigned the issue to William. Hopefully, he can update the page soon. For now, it appears to still be accessible from the old (unpublished) link:

http://www.kyngchaos.com/files/software/grass/GRASS-6.4.2-5-Snow.dmg

#4 - 2013-08-21 03:26 PM - William Kyngesburye
I did update the archive recently, but it looks like my host lost those changes when they moved my site to new hardware.  Argh!  Hours lost!  Must have

been updating during the move.

#5 - 2013-08-21 07:45 PM - William Kyngesburye

- Status changed from Feedback to Closed

- Resolution set to fixed

done.

#6 - 2013-08-22 01:56 AM - Rik De Vreese

Hi Wiliam, thanks for updating the archive page.

I have a suggestion to change your http://www.kyngchaos.com/software/grass page. On http://www.kyngchaos.com/software/qgis you refer to the optional

installation of GRASS 6.4.2 when installing QGIS. However, when you click on the GRASS 6.4.2 link, you are referred to 

http://www.kyngchaos.com/software/grass, where you can only find GRASS 6.4.3. This is how I ended in my troubles with the QGIS installation (which

took me days to find out what was wrong). So, I would suggest to include a link to GRASS 6.4.2 on this page, stating that for QGIS 1.8.0 to be fully

functional, one needs GRASS 6.4.2.
